Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding.ser
Class VectorSerializer

    java.lang.Object
      org.apache.axis.encoding.ser.VectorSerializer

All Implemented Interfaces:
  java.io.Serializable, Serializer, Serializer

public class VectorSerializer
extends java.lang.Object
implements Serializer

A `VectorSerializer` is be used to serialize and deserialize Vectors using the `SOAP-ENC` encoding style.

Author:
  Rich Scheuerle (scheu@us.ibm.com)
See Also:
  Serialized Form

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Constructor Summary
`VectorSerializer()`

Method Summary
`java.lang.String` | `getMechanismType()` Gets the type of the XML processing mechanism and representation used by this Serializer.
`boolean` | `isRecursive(IdentityHashMap map, java.util.Vector vector)`
`void` | `serialize(QName name, org.xml.sax.Attributes attributes, java.lang.Object value, SerializationContext context)` Serialize a Vector Walk the collection of keys, serializing each key/value pair inside an element.
`org.w3c.dom.Element` | `writeSchema(java.lang.Class javaType, Types types)` Return XML schema for the specified type, suitable for insertion into the <types> element of a WSDL document, or underneath an <element> or <attribute> declaration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### VectorSerializer

    public VectorSerializer()

Method Detail

### serialize

    public void serialize(QName name,
                          org.xml.sax.Attributes attributes,
                          java.lang.Object value,
                          SerializationContext context)
                   throws java.io.IOException

  Serialize a Vector Walk the collection of keys, serializing each key/value pair inside an element.

  Specified by:
    `serialize` in interface `Serializer`
  Parameters:
    `name` - the desired QName for the element
    `attributes` - the desired attributes for the element
    `value` - the Object to serialize
    `context` - the SerializationContext in which to do all this
  Throws:
    `java.io.IOException`

### isRecursive

    public boolean isRecursive(IdentityHashMap map,
                               java.util.Vector vector)

### getMechanismType

    public java.lang.String getMechanismType()

  Description copied from interface: `Serializer`
  Gets the type of the XML processing mechanism and representation used by this Serializer.

  Specified by:
    `getMechanismType` in interface `Serializer`
  Returns:
    XML processing mechanism type

### writeSchema

    public org.w3c.dom.Element writeSchema(java.lang.Class javaType,
                                           Types types)
                                    throws java.lang.Exception

  Return XML schema for the specified type, suitable for insertion into the <types> element of a WSDL document, or underneath an <element> or <attribute> declaration.

  Specified by:
    `writeSchema` in interface `Serializer`
  Parameters:
    `javaType` - the Java Class we're writing out schema for
    `types` - the Java2WSDL Types object which holds the context for the WSDL being generated.
  Returns:
    a type element containing a schema simpleType/complexType
  Throws:
    `java.lang.Exception`
  See Also:
    `Types`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.